       ! 山形綱のx軸に関する断面積、断面2次モーメント、断面2次半径
       ! をだしてくれるプログラム
       program yamagata
       implicit none
       real a,b,t,c,menseki1,menseki2,zenmenseki,daniti1,daniti2,dan1,zusi1,zusi2,h,j,dan2,dankei1,dan2hankei
       print *,"山形綱の断面の縦の長さを入力してください:"
       read *,a
       print *,"山形綱の断面の横の長さを入力してください:"
       read *,b
       print *,"山形綱の幅を入力してください:"
       read *,t
       menseki1=a*t
       c=b-t
       menseki2=c*t
       zenmenseki=menseki1+menseki2
       print *,"山形綱の断面積,zenmenseki:"
       daniti1=menseki1*a/2.
       daniti2=menseki2*t/2.
       dan1=daniti1+daniti2
       print *,"山形綱の下からの断面1次モーメントは:",dan1
       zusi1=dan1/zenmenseki
       zusi2=a-zusi1
       print *,"山形綱の下からの図心位置e1は:",zusi1
       print *,"山形綱の上からの図心位置e2は:",zusi2
       h=zusi1-t
       j=b-t
       dan2=(b*zusi1**3-j*h**3+t*zusi2**3)/3.
       print *,"山形綱の図心位置からの断面二次モーメントIxは:",dan2
       dankei1=dan2/zusi2
       print *,"山形綱の断面係数は:",dankei1
       dan2hankei=(dan2/zenmenseki)**(0.5)
       print *,"山形綱の断面二次半径iは:",dan2hankei
       end
